|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# QTextListFormat Class Reference
[QtGui module]

The QTextListFormat class provides formatting information for lists in a QTextDocument. More...

     #include <QTextListFormat>

Inherits QTextFormat.

- List of all members, including inherited members

### Public Types

- enum Style { ListDisc, ListCircle, ListSquare, ListDecimal, ListLowerAlpha, ListUpperAlpha }

### Public Functions

- QTextListFormat ()
- int indent () const
- bool isValid () const
- void setIndent ( int indentation )
- void setStyle ( Style style )
- Style style () const

- 47 public functions inherited from QTextFormat

## Detailed Description

The QTextListFormat class provides formatting information for lists in a QTextDocument.

A list is composed of one or more items, represented as text blocks. The list's format specifies the appearance of items in the list. In particular, it determines the indentation and the style of each item.

The indentation of the items is an integer value that causes each item to be offset from the left margin by a certain amount. This value is read with indent() and set with setIndent().

The style used to decorate each item is set with setStyle() and can be read with the style() function. The style controls the type of bullet points and numbering scheme used for items in the list. Note that lists that use the decimal numbering scheme begin counting at 1 rather than 0.

See also QTextList.

## Member Type Documentation

### enum QTextListFormat::Style

This enum describes the symbols used to decorate list items:

Constant | Value | Description
--- | --- | ---
`QTextListFormat::ListDisc` | `-1` | a filled circle
`QTextListFormat::ListCircle` | `-2` | an empty circle
`QTextListFormat::ListSquare` | `-3` | a filled square
`QTextListFormat::ListDecimal` | `-4` | decimal values in ascending order
`QTextListFormat::ListLowerAlpha` | `-5` | lower case Latin characters in alphabetical order
`QTextListFormat::ListUpperAlpha` | `-6` | upper case Latin characters in alphabetical order

## Member Function Documentation

### QTextListFormat::QTextListFormat ()

Constructs a new list format object.

### int QTextListFormat::indent () const

Returns the list format's indentation.

See also setIndent().

### bool QTextListFormat::isValid () const

Returns true if this list format is valid; otherwise returns false.

### void QTextListFormat::setIndent ( int indentation )

Sets the list format's indentation.

See also indent().

### void QTextListFormat::setStyle ( Style style )

Sets the list format's style. See `Style` for the available styles.

See also style().

### Style QTextListFormat::style () const

Returns the list format's style. See `Style`.

See also setStyle().